%global momorel 1
%global betaver 1
%global prever 2
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: KShutDown is an advanced shut down utility for KDE
Name: kshutdown
Version: 2.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPL
URL: http://kshutdown.sourceforge.net/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-source-%{version}beta%{betaver}.zip
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: kdebase-workspace-devel

%description
KShutDown is an advanced shut down utility for KDE.
Features:
- Turn Off Computer (logout and halt the system)
- Restart Computer (logout and reboot the system)
- Lock Session (lock the screen using a screen saver)
- End Current Session (end the current KDE session and logout the user)
- Extras (additional, user commands)
- Time and delay options
- Command line and DCOP support
- System tray and panel applet
- Visual and sound notifications
- KDE Kiosk support
- And more...

%prep
%setup -q -n %{name}-%{version}beta%{betaver}

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-category Utility \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kshutdown.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog LICENSE README.html TODO
%{_kde4_bindir}/kshutdown
%{_kde4_datadir}/applications/kde4/kshutdown.desktop
%{_kde4_appsdir}/kshutdown
%{_kde4_iconsdir}/*/*/*/kshutdown.png
%{_kde4_iconsdir}/*/*/*/kshutdown.svgz

%changelog
* Sat Aug  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.2.1m)
- update to 2.0beta1

* Wed Jun  4 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0-0.1.3m)
- add BuildPreReq: kdebase-workspace-devel

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.1.2m)
- rebuild against qt-4.4.0-1m

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.1.1m)
- update to version 2.0 Alpha 5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-0.20080123.2m)
- rebuild against gcc43

* Wed Jan 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080123.1m)
- update to 20080123 svn snapshot for KDE4
- update desktop.patch

* Tue Nov 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-2m)
- import large icons from Fedora

* Thu Jul 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Mon Apr 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- version 1.0

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.1.1m)
- initial package for Momonga Linux
